org.firstinspires.ftc.robotcore.external.navigation

## Enum VuforiaLocalizer.Parameters.CameraMonitorFeedback

- java.lang.Object
- - java.lang.Enum<VuforiaLocalizer.Parameters.CameraMonitorFeedback>
  - - org.firstinspires.ftc.robotcore.external.navigation.VuforiaLocalizer.Parameters.CameraMonitorFeedback

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VuforiaLocalizer.Parameters.CameraMonitorFeedback>
  Enclosing class:
    VuforiaLocalizer.Parameters

      public static enum VuforiaLocalizer.Parameters.CameraMonitorFeedback
      extends java.lang.Enum<VuforiaLocalizer.Parameters.CameraMonitorFeedback>

  `VuforiaLocalizer.Parameters.CameraMonitorFeedback` enumerates the kinds of positioning feedback that may be drawn in the camera monitor window.
  See Also:
    `VuforiaLocalizer.Parameters.cameraMonitorViewIdParent`, `VuforiaLocalizer.Parameters.cameraMonitorFeedback`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AXES`
    `BUILDINGS`
    `NONE`
    `TEAPOT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VuforiaLocalizer.Parameters.CameraMonitorFeedback` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VuforiaLocalizer.Parameters.CameraMonitorFeedback[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final VuforiaLocalizer.Parameters.CameraMonitorFeedback NONE

    - #### AXES

          public static final VuforiaLocalizer.Parameters.CameraMonitorFeedback AXES

    - #### TEAPOT

          public static final VuforiaLocalizer.Parameters.CameraMonitorFeedback TEAPOT

    - #### BUILDINGS

          public static final VuforiaLocalizer.Parameters.CameraMonitorFeedback BUILDINGS

  - ### Method Detail

    - #### values

          public static VuforiaLocalizer.Parameters.CameraMonitorFeedback[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VuforiaLocalizer.Parameters.CameraMonitorFeedback c : VuforiaLocalizer.Parameters.CameraMonitorFeedback.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VuforiaLocalizer.Parameters.CameraMonitorFeedback valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null